QGIS Application - Bug report #4941
sip crash on some 32bit platforms
2012-02-03 05:05 AM - Ricardo Silva

Status: Closed
Priority: Normal
Assignee:

Category: Build/Install

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 14739

Description

SIP crashes on various 32bit platforms (known are Debian wheezy/testing, unstable and Ubuntu natty and oneiric).

Error message:

make[3]: Entering directory /tmp/buildd/qgis-1.9.90+git20120202+16d0d2f~natty1/debian/build'
[ 91%] Generating core/sipcorepart0.cpp, core/sipcorepart1.cpp, core/sipcorepart2.cpp, core/sipcorepart3.cpp

Segmentation fault

make[3]: *** [python/core/sipcorepart0.cpp] Error 139

Subsequent runs produce:

[ 91%] Building CXX object python/CMakeFiles/python_module_qgis_core.dir/core/sipcorepart0.cpp.o
/home/ricardo/dev/build_qgis_master/python/core/sipcorepart0.cpp:7:24: fatal error: sipAPIcore.h: No such file or directory

compilation terminated.

See also http://lists.osgeo.org/pipermail/ggis-developer/2012-February/018063.html.

It's related to commit:2564e6a7, that introduces changes that make use of the exception support in SIP.

Related issues:

Duplicated by QGIS Application - Bug report # 4944: GIT snapshot fails to bui... Closed 2012-02-03

Associated revisions

Revision a406a883 - 2012-02-04 10:11 AM - Jiirgen Fischer

fix #4941

History

#1 - 2012-02-03 05:30 AM - Jiirgen Fischer

- Subject changed from ubuntu compilation error sipAPIcore.h missing to sip crash

#2 - 2012-02-03 05:31 AM - Jiirgen Fischer

- Subject changed from sip crash to sip crash on some 32bit platforms

#3 - 2012-02-03 05:53 AM - Alexander Bruy
http://lists.osgeo.org/pipermail/qgis-developer/2012-February/018063.html

Also confirmed on Fedora 16

Linux Fedora16 3.2.2-1.fc16.i686.PAE #1 SMP Thu Jan 26 03:30:43 UTC 2012 i686 i686 i386 GNU/Linux

SIP 4.13 (patch from https:/gist.github.com/1709985 applied) crashes with message

19306 Segmentation fault (core dumped) /usr/bin/sip -e -x QSETINT_CONVERSION -x QSETTYPE_CONVERSION -x VendorID
-t WS_X11 -x PyQt_NoPrintRangeBug -t Qt_4_7 2 -x Py_v3 -g -j 4 -c /home/yellow/GIT/qgis/build/python/core
- /usr/share/sip/PyQt4 -1 /home/yellow/GIT/qgis/python /home/yellow/GIT/qgis/python/core/core.sip

and build fails with
@@ /homelyellow/GIT/qgis/build/python/core/sipcorepart0.cpp:7:24: fatal error: sipAPlcore.h: No such file or directory
compilation terminated.

make[2]: *** [python/CMakeFiles/python_module_qgis_core.dir/core/sipcorepart0.cpp.o] Error 1
make[1]: *** [python/CMakeFiles/python_module_qgis_core.dir/all] Error 2

#4 - 2012-02-03 08:39 AM - Jiirgen Fischer
- File sip4-4.13.1.diff added

Alexander Bruy wrote:

SIP 4.13 (patch from https.//gist.qgithub.com/1709985 applied) crashes with message

odd, the attached patch fixes the problem on Debian unstable i386 for me. I'm preparing a testcase to notify upstream.

#5 - 2012-02-03 12:06 PM - Jiirgen Fischer

- File sip4-4.13.1.diff added

#6 - 2012-02-03 12:06 PM - Jiirgen Fischer
- File deleted (sip4-4.13.1.diff)

#7 - 2012-02-03 12:26 PM - Jiirgen Fischer

See also: http://www.riverbankcomputing.com/pipermail/pygt/2012-February/031093.html

#8 - 2012-02-03 11:53 PM - Arunmozhi P

Fails in Ubunut Oneric (11.10) too, with SIP Version 4.12.4. The error ends as

make[2]: *** [python/CMakeFiles/python_module_qgis_core.dir/core/sipcorepart0.cpp.o] Error 1
make[1]: *** [python/CMakeFiles/python_module_qgis_core.dir/all] Error 2
https://gist.github.com/1709985
https://gist.github.com/1709985
http://www.riverbankcomputing.com/pipermail/pyqt/2012-February/031093.html

make: *** [all] Error 2

#9 - 2012-02-04 01:11 AM - Jiirgen Fischer
- Status changed from Open to Closed
- % Done changed from 0 to 100

Fixed in changeset commit:"a406a88381a7d8b5aae393bde6c7aeccad49d5b2".

#10 - 2012-02-05 06:38 AM - Jiirgen Fischer

Jurgen Fischer wrote:

See also: http.//www.riverbankcomputing.com/pipermail/pyqt/2012-February/031093.htm|

Fixed upstream: http://www.riverbankcomputing.com/hg/sip/rev/1058b2c18309

Files

sip4-4.13.1.diff 614 Bytes 2012-02-03 Jurgen Fischer
